package opc.ua.services.sets;

import opc.ua.services.common.DataValue;
import opc.ua.services.common.DiagnosticInfo;
import opc.ua.services.common.ReadValueId;
import opc.ua.services.common.RequestHeader;
import opc.ua.services.common.ResponseHeader;
import opc.ua.services.common.TimestampsToReturn;

public class Read {

	/**
	 * request
	 */
	private RequestHeader requestHeader;
	/** Duration */
	private long maxAge;
	private TimestampsToReturn timestampsToReturn;
	private ReadValueId nodesToRead;
	
	/**
	 * response 
	 */
	private ResponseHeader responseHeader;
	private DataValue[] results;
	private DiagnosticInfo[] diagnosticInfos;
	
	
	public RequestHeader getRequestHeader() {
		return requestHeader;
	}
	public void setRequestHeader(RequestHeader requestHeader) {
		this.requestHeader = requestHeader;
	}
	public long getMaxAge() {
		return maxAge;
	}
	public void setMaxAge(long maxAge) {
		this.maxAge = maxAge;
	}
	public TimestampsToReturn getTimestampsToReturn() {
		return timestampsToReturn;
	}
	public void setTimestampsToReturn(TimestampsToReturn timestampsToReturn) {
		this.timestampsToReturn = timestampsToReturn;
	}
	public ReadValueId getNodesToRead() {
		return nodesToRead;
	}
	public void setNodesToRead(ReadValueId nodesToRead) {
		this.nodesToRead = nodesToRead;
	}
	public ResponseHeader getResponseHeader() {
		return responseHeader;
	}
	public void setResponseHeader(ResponseHeader responseHeader) {
		this.responseHeader = responseHeader;
	}
	public DataValue[] getResults() {
		return results;
	}
	public void setResults(DataValue[] results) {
		this.results = results;
	}
	public DiagnosticInfo[] getDiagnosticInfos() {
		return diagnosticInfos;
	}
	public void setDiagnosticInfos(DiagnosticInfo[] diagnosticInfos) {
		this.diagnosticInfos = diagnosticInfos;
	}
}
